<ng-template #ghostRef>
  <section>
    <sfl-ghost-card *ngFor="let ghost of ghosts" @fadeOut></sfl-ghost-card>
  </section>
</ng-template>

<header>
  <h1 class="top-appear">
    {{ 'list.title' | translate: { count: list?.length ? list?.length : 0 } }}
  </h1>
  <h2 class="top-appear">{{ 'list.subtitle' | translate }}</h2>
</header>

<section *ngIf="!ghosts.length; else ghostRef">
  <sfl-card class="ng-fade" *ngFor="let item of list | mediaFilter: filterFormGroup.value:searchValue" [media]="item"> </sfl-card>
</section>

<sfl-fixed-bottom-actions @fade>
  <button
    type="button"
    class="ng-fade"
    aria-label="open filters"
    mat-mini-fab
    [matTooltip]="'shared.tip.filter' | translate"
    color="accent"
    [matMenuTriggerFor]="filters"
  >
    <mat-icon>filter_list</mat-icon>
  </button>

  <button
    type="button"
    class="ng-fade"
    aria-label="open search"
    mat-fab
    (click)="openSpotlight()"
    [matTooltip]="'shared.tip.search' | translate"
  >
    <mat-icon>search</mat-icon>
  </button>
</sfl-fixed-bottom-actions>

<mat-menu #filters="matMenu" yPosition="above" xPosition="before">
  <form [formGroup]="filterFormGroup" class="filter-form">
    <mat-form-field sfl-stop-propagation>
      <mat-label>{{ 'list.filters.fields.types' | translate }}</mat-label>
      <mat-select formControlName="types" multiple>
        <mat-option *ngFor="let type of types" [value]="type">{{ type | titlecase }}</mat-option>
      </mat-select>
    </mat-form-field>
    <mat-form-field sfl-stop-propagation>
      <mat-label>{{ 'list.filters.fields.genres' | translate }}</mat-label>
      <mat-select formControlName="genres" [compareWith]="compare" multiple>
        <mat-option *ngIf="!genres?.length; else optionsRef" disabled>
          {{ 'shared.noRessource' | translate: { ressource: ('shared.resources.genre' | translate) } | capitalize }}
        </mat-option>
        <ng-template #optionsRef>
          <mat-option *ngFor="let genre of genres" [value]="genre">{{ genre.label | titlecase }}</mat-option>
        </ng-template>
      </mat-select>
    </mat-form-field>
    <button sfl-button type="button" color="accent" (click)="initFilterForm()" sfl-stop-propagation>
      {{ 'list.filters.actions.reset' | translate }}
    </button>
  </form>
</mat-menu>
